juzu

## Class Response.View

- java.lang.Object
- - juzu.Response
  - - juzu.Response.View

- Direct Known Subclasses:
    Phase.View.Dispatch
  Enclosing class:
    Response

      public abstract static class Response.View
      extends Response

  A response instructing to execute a render phase of a controller method after the current interaction.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class juzu.Response

      `Response.Content<S extends Stream>, Response.Error, Response.Redirect, Response.Render, Response.View`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response.View()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `abstract Map<String,String[]>` | `getParameters()`
    `abstract juzu.impl.common.MethodHandle` | `getTarget()`
    `String` | `toString()`
    `Response.View` | `with(PropertyType<Boolean> propertyType)` Set a boolean property to true.
    `<T> Response.View` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
    `Response.View` | `withHeader(String name, String... value)`
    `Response.View` | `withNo(PropertyType<Boolean> propertyType)` Set a boolean property to false.
    `<T> Response.View` | `without(PropertyType<T> propertyType)` Removes a property.

    - ### Methods inherited from class juzu.Response

      `content, content, content, error, error, getProperties, notFound, notFound, ok, ok, redirect`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Response.View

          public Response.View()

  - ### Method Detail

    - #### getTarget

          public abstract juzu.impl.common.MethodHandle getTarget()

    - #### getParameters

          public abstract Map<String,String[]> getParameters()

    - #### with

          public <T> Response.View with(PropertyType<T> propertyType,
                               T propertyValue)
                             throws NullPointerException

      Description copied from class: `Response`
      Set a property, if the value is null, the property is removed.
      Overrides:
        `with` in class `Response`
      Parameters:
        `propertyType` - the property type
        `propertyValue` - the property value
      Throws:
        `NullPointerException` - if the property type is null

    - #### withHeader

          public Response.View withHeader(String name,
                                 String... value)

      Overrides:
        `withHeader` in class `Response`

    - #### without

          public <T> Response.View without(PropertyType<T> propertyType)
                                throws NullPointerException

      Description copied from class: `Response`
      Removes a property.
      Overrides:
        `without` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### with

          public Response.View with(PropertyType<Boolean> propertyType)
                             throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to true.
      Overrides:
        `with` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### withNo

          public Response.View withNo(PropertyType<Boolean> propertyType)
                               throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to false.
      Overrides:
        `withNo` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014 eXo Platform SAS. All Rights Reserved.